Skip to main content

Events Actions

https://api.losant.com/applications/APPLICATION_ID/events

Below are the various requests that can be performed against the Events resource, as well as the expected parameters and the potential responses.

Delete​

Delete events

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/events/delete

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, events.*, or events.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
emailNEmail address to send job complete notification to. Defaults to current user's email.email=email@example.com
callbackUrlNCallback URL to call with delete resultcallbackUrl=https://example.com/cburl

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Advanced Event Query schema. For example, the following would be a valid body for this request:

{
"$or": [
{
"level": {
"$ne": "myValue"
}
},
{
"level": 5
}
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
https://api.losant.com/applications/APPLICATION_ID/events/delete

Successful Responses​

CodeTypeDescription
200Events DeletedIf request successfully deletes a set of Events
202Job Enqueued API ResultIf a bulk delete job has been enqueued

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if events were not found

Export​

Request an export of an application's event data

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/events/export

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, events.*, or events.export.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Event Export Options schema. For example, the following would be a valid body for this request:

{
"email": "email@example.com",
"query": {
"$or": [
{
"subject": {
"$ne": "myValue"
}
},
{
"level": "info"
}
]
},
"excludeUpdates": true
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
https://api.losant.com/applications/APPLICATION_ID/events/export

Successful Responses​

CodeTypeDescription
202Job Enqueued API ResultIf generation of export was successfully started

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Get​

Returns the events for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/events

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, events.*, or events.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: subject, id, creationDate, lastUpdated, level, state, deviceIdcreationDatesortField=subject
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: subjectfilterField=subject
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=abnormal power to *
stateNIf provided, return events only in the given state. Accepted values are: new, acknowledged, resolvedstate=new
queryNEvent filter JSON object which overrides the filterField, filter, and state parameters. See Advanced Event Query for more details.query={"$or":[{"level":{"$ne":"myValue"}},{"level":5}]}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/events

Successful Responses​

CodeTypeDescription
200EventsCollection of events

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Most Recent by Severity​

Returns the first new event ordered by severity and then creation

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/events/mostRecentBySeverity

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, events.*, or events.mostRecentBySeverity.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
filterNFilter to apply against event subjects. Supports globbing. Blank or not provided means no filtering.filter=abnormal power to *
queryNEvent filter JSON object which overrides the filter parameter. See Advanced Event Query for more details.query={"$or":[{"level":{"$ne":"myValue"}},{"level":5}]}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/events/mostRecentBySeverity

Successful Responses​

CodeTypeDescription
200Event Plus New CountThe event, plus count of currently new events

Error Responses​

CodeTypeDescription
404ErrorError if application was not found

Patch​

Asynchronously updates information for matching events by subject and/or current state

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/events

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, events.*, or events.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
filterFieldNField to filter the events to act on by. Blank or not provided means no filtering. Accepted values are: subjectfilterField=subject
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=abnormal power to *
stateNIf provided, act on events only in the given state. Accepted values are: new, acknowledged, resolvedstate=new
queryNEvent filter JSON object which overrides the filterField, filter, and state parameters. See Advanced Event Query for more details.query={"$or":[{"level":{"$ne":"myValue"}},{"level":5}]}
emailNEmail address to send a notification with update job results. Defaults to current user's email.email=email@example.com
callbackUrlNCallback URL to call with update results from a job.callbackUrl=https://example.com/cburl

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Event Patch schema. For example, the following would be a valid body for this request:

{
"state": "acknowledged",
"comment": "Looking into this issue"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"state":"acknowledged","comment":"Looking into this issue"}' \
https://api.losant.com/applications/APPLICATION_ID/events

Successful Responses​

CodeTypeDescription
200SuccessIf the bulk update has been completed
202Job Enqueued API ResultIf a bulk update job has been enqueued

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application is not found

Post​

Create a new event for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/events

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, events.*, or events.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Event Post schema. For example, the following would be a valid body for this request:

{
"level": "info",
"state": "new",
"subject": "Power levels critical",
"message": "Power levels on device 432 have surpassed critical thresholds",
"deviceId": "575ecf887ae143cd83dc4aa2"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"level":"info","state":"new","subject":"Power levels critical","message":"Power levels on device 432 have surpassed critical thresholds","deviceId":"575ecf887ae143cd83dc4aa2"}' \
https://api.losant.com/applications/APPLICATION_ID/events

Successful Responses​

CodeTypeDescription
201EventSuccessfully created event

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found
429ErrorError if event creation rate limit exceeded

Schemas​

Advanced Event Query​

Schema for advanced event queries

Advanced Event Query Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 15 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                  • false

                                Advanced Event Query Example​

                                • ▶
                                  {} 1 key
                                  • ▶
                                    [] 2 items

                                  Error​

                                  Schema for errors returned by the API

                                  Error Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 2 keys

                                        Error Example​

                                        • ▶
                                          {} 2 keys
                                          • "NotFound"
                                          • "Application was not found"

                                        Event​

                                        Schema for a single Event

                                        Event Schema​

                                        • ▶
                                          {} 4 keys
                                          • "http://json-schema.org/draft-07/schema#"
                                          • "object"
                                          • ▶
                                            {} 18 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • {} 0 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 3 keys
                                                                          • ▶
                                                                            {} 1 key
                                                                            • ▶
                                                                              {} 3 keys
                                                                              • ▶
                                                                                {} 3 keys
                                                                              • ▶
                                                                                [] 1 item

                                                                              Event Example​

                                                                              • ▶
                                                                                {} 16 keys
                                                                                • "575ed0de7ae143cd83dc4aa5"
                                                                                • "575ed0de7ae143cd83dc4aa5"
                                                                                • "575ec8687ae143cd83dc4a97"
                                                                                • "2016-06-13T04:00:00.000Z"
                                                                                • "2016-06-13T04:00:00.000Z"
                                                                                • "user"
                                                                                • "575ed70c7ae143cd83dc4aa9"
                                                                                • "hello@example.com"
                                                                                • "info"
                                                                                • "new"
                                                                                • "Power levels critical"
                                                                                • "Power levels on device 432 have surpassed critical thresholds"
                                                                                • [] 0 items
                                                                                  • "575ecf887ae143cd83dc4aa2"
                                                                                  • "My Device"
                                                                                  • ▶
                                                                                    {} 1 key

                                                                                  Event Patch​

                                                                                  Schema for the body of an Event modification request

                                                                                  Event Patch Schema​

                                                                                  • ▶
                                                                                    {} 4 keys
                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                    • "object"
                                                                                    • ▶
                                                                                      {} 7 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 2 keys
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                            • ▶
                                                                                              {} 1 key
                                                                                              • ▶
                                                                                                {} 2 keys
                                                                                                • {} 0 keys
                                                                                                  • ▶
                                                                                                    {} 3 keys
                                                                                                  • false

                                                                                                Event Patch Example​

                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • "acknowledged"
                                                                                                  • "Looking into this issue"

                                                                                                Event Plus New Count​

                                                                                                Schema for an event plus a count of new events

                                                                                                Event Plus New Count Schema​

                                                                                                • ▶
                                                                                                  {} 3 keys
                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                  • "object"
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 5 keys
                                                                                                      • ▶
                                                                                                        {} 1 key

                                                                                                    Event Plus New Count Example​

                                                                                                    • ▶
                                                                                                      {} 2 keys
                                                                                                      • ▶
                                                                                                        {} 16 keys
                                                                                                        • 2

                                                                                                      Event Post​

                                                                                                      Schema for the body of an Event creation request

                                                                                                      Event Post Schema​

                                                                                                      • ▶
                                                                                                        {} 5 keys
                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                        • "object"
                                                                                                        • ▶
                                                                                                          {} 9 keys
                                                                                                          • ▶
                                                                                                            {} 2 keys
                                                                                                            • ▶
                                                                                                              {} 2 keys
                                                                                                              • ▶
                                                                                                                {} 3 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • {} 0 keys
                                                                                                                    • ▶
                                                                                                                      {} 2 keys
                                                                                                                      • ▶
                                                                                                                        {} 3 keys
                                                                                                                        • ▶
                                                                                                                          {} 1 key
                                                                                                                          • ▶
                                                                                                                            {} 2 keys
                                                                                                                          • ▶
                                                                                                                            [] 2 items
                                                                                                                            • false

                                                                                                                          Event Post Example​

                                                                                                                          • ▶
                                                                                                                            {} 5 keys
                                                                                                                            • "info"
                                                                                                                            • "new"
                                                                                                                            • "Power levels critical"
                                                                                                                            • "Power levels on device 432 have surpassed critical thresholds"
                                                                                                                            • "575ecf887ae143cd83dc4aa2"

                                                                                                                          Events​

                                                                                                                          Schema for a collection of Events

                                                                                                                          Events Schema​

                                                                                                                          • ▶
                                                                                                                            {} 3 keys
                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                            • "object"
                                                                                                                            • ▶
                                                                                                                              {} 12 keys
                                                                                                                              • ▶
                                                                                                                                {} 2 keys
                                                                                                                                • ▶
                                                                                                                                  {} 1 key
                                                                                                                                  • ▶
                                                                                                                                    {} 1 key
                                                                                                                                    • ▶
                                                                                                                                      {} 1 key
                                                                                                                                      • ▶
                                                                                                                                        {} 1 key
                                                                                                                                        • ▶
                                                                                                                                          {} 1 key
                                                                                                                                          • ▶
                                                                                                                                            {} 1 key
                                                                                                                                            • ▶
                                                                                                                                              {} 1 key
                                                                                                                                              • ▶
                                                                                                                                                {} 2 keys
                                                                                                                                                • ▶
                                                                                                                                                  {} 2 keys
                                                                                                                                                  • ▶
                                                                                                                                                    {} 2 keys
                                                                                                                                                    • ▶
                                                                                                                                                      {} 1 key

                                                                                                                                                  Events Example​

                                                                                                                                                  • ▶
                                                                                                                                                    {} 9 keys
                                                                                                                                                    • ▶
                                                                                                                                                      [] 1 item
                                                                                                                                                      • 1
                                                                                                                                                      • 4
                                                                                                                                                      • 1
                                                                                                                                                      • 0
                                                                                                                                                      • "subject"
                                                                                                                                                      • "asc"
                                                                                                                                                      • "575ec8687ae143cd83dc4a97"
                                                                                                                                                      • "new"

                                                                                                                                                    Events Deleted​

                                                                                                                                                    Schema for response to events removal

                                                                                                                                                    Events Deleted Schema​

                                                                                                                                                    • ▶
                                                                                                                                                      {} 3 keys
                                                                                                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                      • "object"
                                                                                                                                                      • ▶
                                                                                                                                                        {} 1 key
                                                                                                                                                        • ▶
                                                                                                                                                          {} 1 key

                                                                                                                                                      Events Deleted Example​

                                                                                                                                                      • ▶
                                                                                                                                                        {} 1 key
                                                                                                                                                        • 3

                                                                                                                                                      Event Export Options​

                                                                                                                                                      Export options for events

                                                                                                                                                      Event Export Options Schema​

                                                                                                                                                      • ▶
                                                                                                                                                        {} 4 keys
                                                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                        • "object"
                                                                                                                                                        • ▶
                                                                                                                                                          {} 5 keys
                                                                                                                                                          • ▶
                                                                                                                                                            {} 3 keys
                                                                                                                                                            • ▶
                                                                                                                                                              {} 3 keys
                                                                                                                                                              • ▶
                                                                                                                                                                {} 5 keys
                                                                                                                                                                • ▶
                                                                                                                                                                  {} 3 keys
                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 2 keys
                                                                                                                                                                  • false

                                                                                                                                                                Event Export Options Example​

                                                                                                                                                                • ▶
                                                                                                                                                                  {} 3 keys
                                                                                                                                                                  • "email@example.com"
                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 1 key
                                                                                                                                                                    • true

                                                                                                                                                                  Job Enqueued API Result​

                                                                                                                                                                  Schema for the result of a job being queued

                                                                                                                                                                  Job Enqueued API Result Schema​

                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 3 keys
                                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                    • "object"
                                                                                                                                                                    • ▶
                                                                                                                                                                      {} 3 keys
                                                                                                                                                                      • ▶
                                                                                                                                                                        {} 2 keys
                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 2 keys
                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 2 keys

                                                                                                                                                                        Job Enqueued API Result Example​

                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 3 keys
                                                                                                                                                                          • true
                                                                                                                                                                          • "clnHvJbyVkOWAZwYAwLP4"
                                                                                                                                                                          • true

                                                                                                                                                                        Success​

                                                                                                                                                                        Schema for reporting a successful operation

                                                                                                                                                                        Success Schema​

                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 3 keys
                                                                                                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                          • "object"
                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 1 key
                                                                                                                                                                            • ▶
                                                                                                                                                                              {} 2 keys

                                                                                                                                                                          Success Example​

                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 1 key
                                                                                                                                                                            • true

                                                                                                                                                                          Was this page helpful?


                                                                                                                                                                          Still looking for help? You can also search the Losant Forums or submit your question there.